package de.avatic.taricdb.helper.workbook;

import java.util.ArrayList;
import java.util.List;

import org.apache.poi.xssf.usermodel.XSSFRow;

public class ExcelHeader {

	private List<String> header = new ArrayList<String>();
	
	public ExcelHeader(XSSFRow row) {
		row.cellIterator().forEachRemaining(cell -> {
			header.add(cell.getStringCellValue().trim());
		});
	}

	public int getIndex(String string) {
		return header.indexOf(string);
	}	
	
	public String toString() {
		return header.toString();
	}
	
	
}
